## org.exist.xquery.test
Class XQueryUpdateTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.xquery.test.XQueryUpdateTest

All Implemented Interfaces:
  junit.framework.Test

public class XQueryUpdateTest
extends junit.framework.TestCase

Constructor Summary
`XQueryUpdateTest()`

Method Summary
`static void` `main(java.lang.String[] args)`
`void` `testAppend()`
`void` `testAppendAttributes()`
`void` `testAttrUpdate()`
`void` `testInsertAfter()`
`void` `testInsertBefore()`
`void` `testRemove()`
`void` `testRename()`
`void` `testReplace()`
`void` `testUpdate()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XQueryUpdateTest

    public XQueryUpdateTest()

Method Detail

### main

    public static void main(java.lang.String[] args)

### testAppend

    public void testAppend()

### testAppendAttributes

    public void testAppendAttributes()

### testInsertBefore

    public void testInsertBefore()

### testInsertAfter

    public void testInsertAfter()

### testUpdate

    public void testUpdate()

### testRemove

    public void testRemove()

### testRename

    public void testRename()

### testReplace

    public void testReplace()

### testAttrUpdate

    public void testAttrUpdate()

Copyright (C) Wolfgang Meier. All rights reserved.